BoundsMatrixBuilder.h File Reference
`#include <RDGeneral/export.h>`
`#include <DistGeom/BoundsMatrix.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::DGeomHelpers

## Functions

RDKIT_DISTGEOMHELPERS_EXPORT void | RDKit::DGeomHelpers::initBoundsMat (DistGeom::BoundsMatrix *mmat, double defaultMin=0.0, double defaultMax=1000.0)
| Set default upper and lower distance bounds in a distance matrix. More...
RDKIT_DISTGEOMHELPERS_EXPORT void | RDKit::DGeomHelpers::initBoundsMat (DistGeom::BoundsMatPtr mmat, double defaultMin=0.0, double defaultMax=1000.0)
RDKIT_DISTGEOMHELPERS_EXPORT void | RDKit::DGeomHelpers::setTopolBounds (const ROMol &mol, DistGeom::BoundsMatPtr mmat, bool set15bounds=true, bool scaleVDW=false)
| Set upper and lower distance bounds between atoms in a molecule based on. More...
RDKIT_DISTGEOMHELPERS_EXPORT void | RDKit::DGeomHelpers::setTopolBounds (const ROMol &mol, DistGeom::BoundsMatPtr mmat, std::vector< std::pair< int, int >> &bonds, std::vector< std::vector< int >> &angles, bool set15bounds=true, bool scaleVDW=false)